---
id: 5f33071498eb2472b87ddee4
title: Step 1
challengeType: 0
dashedName: step-1
demoType: onLoad
---

# --description--

In this project, you will learn the basics of CSS (Cascading Style Sheets) by building a cafe menu. CSS is the language used to style an HTML document. It describes how HTML elements should be displayed on the screen.

As you learned in the last few steps of the Cat Photo App, there is a basic structure needed to start building your web page. Every HTML document should have a `DOCTYPE` declaration and `html` element. The `DOCTYPE` tells the browser which version of HTML the document is in. And the `html` element represents the root element which contains all other elements.

```html
<!DOCTYPE html>
<html lang="en">
<!--all other elements go here-->
</html>
```

Add the `<!DOCTYPE html>` tag, and an `html` element with a `lang` attribute of `en`.

# --hints--

You should have the `<!DOCTYPE html>` declaration.

```js
assert(code.match(/<!DOCTYPE html>/i));
```

You should have an opening `<html lang="en">` with the language set to english.

```js
assert(code.match(/<html\s+lang\s*=\s*('|")en\1\s*>/gi));
```

You should have a closing `</html>` tag.

```js
assert(code.match(/<\/html>/i));
```

# --seed--

## --seed-contents--

```html
--fcc-editable-region--

--fcc-editable-region--

```
